BimpHelp

Opening balances entry: Bimp API methods

Bimp API methods for the “Opening balances entry” resource (/org2/enteringOpeningBalances/…): 4 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

Entering opening balances documents

MethodWhat it does
POST /org2/enteringOpeningBalances/api-readListList entering opening balances documents
POST /org2/enteringOpeningBalances/api-readRead an entering opening balances document with stocks lines
POST /org2/enteringOpeningBalances/api-createCreate an entering opening balances document
POST /org2/enteringOpeningBalances/api-updateUpdate an entering opening balances document

api-readList

POST /org2/enteringOpeningBalances/api-readList

List entering opening balances documents

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets
periodableobject[]Period range [from, to] (UTC ISO strings)
organizationsstring (uuid)[]A unique identifier for the Organization, obtainable from the /organization/api-readList request
commentstringAn optional text field for any additional notes or comments related to the document
showArchivedbooleanInclude archived documents

Response: data field

FieldTypeDescription
[].uuidstring (uuid)A unique uuid key for the entering opening balances document
[].namestringDocument display name
[].numberstringThe document’s number. Use this field if you need to specify a custom number
[].datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
[].commentstringAn optional text field for any additional notes or comments related to the document
[].archivedbooleanWhether the document is archived
[].organizationstring (uuid) | null
curl -X POST 'https://app.bimpsoft.com/org2/enteringOpeningBalances/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-read

POST /org2/enteringOpeningBalances/api-read

Read an entering opening balances document with stocks lines

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for the entering opening balances document

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for the entering opening balances document
namestringDocument display name
numberstringThe document’s number. Use this field if you need to specify a custom number
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
commentstringAn optional text field for any additional notes or comments related to the document
archivedbooleanWhether the document is archived
organizationstring (uuid) | null
authorstring (uuid) | null
stocksobject[]An array of product objects, representing the nomenclatures included in the document
stocks[].nomenclaturestring (uuid) | null
stocks[].warehousestring (uuid) | null
stocks[].quantitynumberThe amount of items
stocks[].pricenumberThe price of the item/document
stocks[].sumnumberThe sum of the document
stocks[].unitOfMeasurementstring (uuid) | null
stocks[].characteristicstring (uuid) | null
stocks[].partystring (uuid) | null
stocks[].commentstringAn optional text field for any additional notes or comments related to the document
stocks[].serialNumbersstring (uuid)[]Serial number UUIDs for this stock line
curl -X POST 'https://app.bimpsoft.com/org2/enteringOpeningBalances/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-create

POST /org2/enteringOpeningBalances/api-create

Create an entering opening balances document

Request body (JSON)

FieldTypeRequiredDescription
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
numberstringThe document’s number. Use this field if you need to specify a custom number
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
commentstringAn optional text field for any additional notes or comments related to the document
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
stocksobject[]yesAn array of product objects, representing the nomenclatures included in the document
stocks[].nomenclaturestring (uuid)yesA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
stocks[].warehousestring (uuid)yesA unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
stocks[].quantitynumberyesThe amount of items
stocks[].pricenumberyesThe price of the item/document
stocks[].unitOfMeasurementstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
stocks[].characteristicstring (uuid)Nomenclature characteristic UUID
stocks[].partystring (uuid)A unique identifier for the Party, obtainable from the party catalog
stocks[].commentstringAn optional text field for any additional notes or comments related to the document
stocks[].serialNumbersstring (uuid)[]Serial number UUIDs for this stock line

Response: data field

FieldTypeDescription
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/enteringOpeningBalances/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"stocks":[{}]}'

api-update

POST /org2/enteringOpeningBalances/api-update

Update an entering opening balances document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for the entering opening balances document
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
numberstringThe document’s number. Use this field if you need to specify a custom number
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
commentstringAn optional text field for any additional notes or comments related to the document
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
stocksobject[]An array of product objects, representing the nomenclatures included in the document
stocks[].nomenclaturestring (uuid)yesA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
stocks[].warehousestring (uuid)yesA unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
stocks[].quantitynumberyesThe amount of items
stocks[].pricenumberyesThe price of the item/document
stocks[].unitOfMeasurementstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
stocks[].characteristicstring (uuid)Nomenclature characteristic UUID
stocks[].partystring (uuid)A unique identifier for the Party, obtainable from the party catalog
stocks[].commentstringAn optional text field for any additional notes or comments related to the document
stocks[].serialNumbersstring (uuid)[]Serial number UUIDs for this stock line

Response: data field

FieldTypeDescription
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/enteringOpeningBalances/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.